package com.diegocayo.organizame.presentation.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.diegocayo.organizame.presentation.features.main.events.create.CreateEventScreen
import com.diegocayo.organizame.presentation.features.main.events.list.EventsListScreen
import com.diegocayo.organizame.presentation.features.main.tasks.create.CreateTaskScreen
import com.diegocayo.organizame.presentation.features.main.tasks.list.TasksListScreen

@Composable
fun NavGraph(navController: NavHostController) {
    NavHost(
        navController = navController,
        startDestination = AppScreen.Main.Tasks.route
    ) {
        composable(AppScreen.Main.Tasks.route) {
            TasksListScreen(navController)
        }

        composable(AppScreen.Main.Tasks.Create.route) {
            CreateTaskScreen(
                onNavigateBack = { navController.popBackStack() }
            )
        }

        composable(AppScreen.Main.Events.route) {
            EventsListScreen(navController)
        }

        composable(AppScreen.Main.Events.Create.route) {
            CreateEventScreen(
                onNavigateBack = { navController.popBackStack() }
            )
        }
    }
} 